#ifndef _KGR_PATCH_BSC1103098_VMLINUX_H
#define _KGR_PATCH_BSC1103098_VMLINUX_H

#include <linux/types.h>

int kgr_patch_bsc1103098_vmlinux_init(void);


struct sk_buff;

int kgr_ip_defrag(struct sk_buff *skb, u32 user);
int kgr_ipv6_frag_rcv(struct sk_buff *skb);

#define KGR_PATCH_BSC1103098_VMLINUX_FUNCS			\
	KGR_PATCH(ip_defrag, kgr_ip_defrag),			\
	KGR_PATCH(ipv6_frag_rcv, kgr_ipv6_frag_rcv),		\

#endif /* _KGR_PATCH_BSC1103098_VMLINUX_H */
